<? include('checkcookie.php'); ?>
<h3>Просмотр новостей. Свежие новости показываются сверху</h3>
<br>
<?
	function fuckquot($newstext)
	{
	$newstext=str_replace("'","&quot;",$newstext);
	$newstext=str_replace('"',"&quot;",$newstext);
	RETURN $newstext;
	}
	?>
<?
if(isset($_POST["id"]))
{
	$id=$_POST["id"];
	$data=$_POST["data"];
	$newstext=bbcod(fuckquot($_POST["newstext"], true, true));
	$tema=fuckquot($_POST["tema"]);

	mysql_query("UPDATE tb_news SET data='$data', tema='$tema', newstext='$newstext' where id='$id'");

	echo "<font color=\"green\"><b>Готово.</b></font><br><br>";
}

if(isset($_GET["id"]))
{
	$id=$_GET["id"];
	if ($_GET["option"]=="edit")
	{
		$tablae = mysql_query("SELECT * FROM tb_news where id='$id'"); 
		while ($registroe = mysql_fetch_array($tablae))
		{ 
			?>
			<form method="post" action="adminmain.php?p=newsview">bbb
			Тема новости: <input type="text" name="tema" value="<?=$registroe["tema"] ?>"><br>
				Дата новости: <input type="text" name="data" value="<?= $registroe["data"] ?>"><br>
				Текст новости:<br><textarea rows="20" cols="100" name="newstext"><?=bbb($registroe["newstext"]); ?></textarea><br>
				<input type="hidden" value="<?=$id ?>" name="id">
				<input type="submit" value="сохранить" class="button">
			</form>
			<?
		}
	}
	if ($_GET["option"]=="delete")
	{
		$id=$_GET["id"];
		mysql_query("DELETE FROM tb_news WHERE id='$id'");

		echo "<font color=\"#cc0000\"><b>Новость удалена.</b></font><br><br>";
	}
}
?>

<br>
<table width="100%" cellspacing="0" cellpadding="0">
<tr class="lineb">
		<td width="50">№</td>
		<td>Дата написания новости</td>
		<td>Текст новости</td>
		<td></td>
		<td></td>
	</tr>
	<?

	$sql="SELECT * FROM tb_news order by id desc";

	$tabla = mysql_query($sql); 
	while ($registro = mysql_fetch_array($tabla))
	{
		?>
		<tr class='liney ell'>
			<td align=center><?=$registro["id"] ?></td>
			<td align=center><?=$registro["data"] ?></td>
			<td><?=$registro["newstext"] ?></td>
			<td align=center>
				<form method="post" action="adminmain.php?p=newsview&id=<?= $registro["id"] ?>&option=edit">
				<input type="submit" value="Редактировать" class="button">
				</form>
			</td>
			<td align=center>
				<form method="post" action="adminmain.php?p=newsview&id=<?= $registro["id"] ?>&option=delete">
				<input type="submit" value="Удалить" class="button">
				</form>
			</td>
		</tr>
		<?
	} 
	?>
</table>